Subject: Re: bug#24857: Anybody needs help to set up a qemu VM for GNU/Hurd?

From: Svante Signell <[email-masked]>
Date: Thu, 01 Dec 2016 23:09:39 +0100

On Thu, 2016-12-01 at 14:25 -0500, Glenn Morris wrote:
> I believe the Debian packages do the equivalent of a bootstrap build,
> is that right? Ie, delete and rebuild all the elc files (and more)?

Yes, that's what they do. Previously rebuilding all the .elc files made the Hurd
build to FTBFS, but now it is mainly the temacs executable causing problems.

> At least, that is what I see in eg
> 
> https://buildd.debian.org/status/fetch.php?pkg=emacs25&arch=i386&ver=25.1%2B1-
> 3&stamp=1480558507
> 
> This has always bugged me somewhat, since it means they aren't
> really building the release tarfiles that Emacs ships, but something
> more akin to a git snapshot. Should in theory be the same, but it
> means the Debian builds are doing extra work and more likely to
> encounter build problems than some other distros.

Yes, see above. And the builds are made for three targets: nox, x and lucid, the
whole tree is copied tree times for build.